-- #101
CREATE TABLE klarnapclass (
     klarnapclassid       integer  not null
,    description          varchar(500)  not null
,    months               integer  not null
,    startfee             decimal(19,4)  not null
,    invoicefee           decimal(19,4)  not null
,    interestrate         double  not null
,    minpurchase          decimal(19,4)  not null
,    currencyid           char(3)  not null
,    isaccount            bool  not null
,    countryid            integer  not null
,    paymentmethodid      integer  not null

,   constraint pk_klarnapclass                  primary key (klarnapclassid)
,   constraint fk_klarnapclass_klarnapclassid   foreign key (klarnapclassid)
        references object                           (objectid)
,   constraint fk_klarnapclass_currencyid       foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_klarnapclass_paymentmethodid  foreign key (paymentmethodid)
        references paymentmethod                    (paymentmethodid)
,   constraint fk_klarnapclass_countryid        foreign key (countryid)
        references country                          (countryid)
)
GO
CREATE INDEX i_klarna_pclass_currency ON klarnapclass (currencyid)
GO

CREATE INDEX i_klarna_pclass_country ON klarnapclass (countryid, paymentmethodid)
GO

CREATE INDEX i_klarna_pclass_paymentmethod ON klarnapclass (paymentmethodid)
GO

